package com.th.demo.mapping.system;

import com.th.demo.model.system.SysDic;
import org.apache.xmlbeans.impl.xb.xsdschema.Public;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Resource
public interface SysDicMapper {
     int deleteByPrimaryKey(String id);

     int insert(SysDic record);

     int insertSelective(SysDic record);

     SysDic selectByPrimaryKey(String id);

     int updateByPrimaryKeySelective(SysDic record);

     int updateByPrimaryKey(SysDic record);

     List<SysDic> select(String dicType);

    List<SysDic> selectByDicType(String type);
}